Skip to content

Get transactions

Request

Security
oauth2(Required scopes: transaction:list) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

Query
statusArray of strings(TransactionStatusReadOnly)
Items Enum:"scheduled""initiated""pending""succeeded""failed""canceled""inDispute""chargeback"
paymentInstrumentIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-only

The payment instrument identifier.

isExternalboolean

Fetch entities that are marked external.

isVirtualboolean
transactionTypestring
Enum:"payment""serviceCredit"
paymentReasonstring
Enum:"autoPay""settlement""reversal""downPayment""oneTimePayment""reimbursement"
retryOriginalTransactionIdstring
serviceCreditTypesArray of strings
toEffectiveDatestring, (date)

Last day for which an object's effective date must match

fromEffectiveDatestring, (date)

First day for which an object's effective date must match

fromDisplayDatestring, (date)

Return only transactions with displayDate on or after this date (inclusive).

toDisplayDatestring, (date)

Return only transactions with displayDate on or before this date (inclusive).

limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

sortByArray of strings

The data attributes by which to sort the results.

Items Enum:"appliedAt""+appliedAt""-appliedAt""createdAt""+createdAt""-createdAt""effectiveDate""+effectiveDate""-effectiveDate""displayDate"
GET
/people/{personId}/loans/{loanId}/transactions
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/transactions?status=scheduled&paymentInstrumentId=string&isExternal=true&isVirtual=true&transactionType=payment&paymentReason=autoPay&retryOriginalTransactionId=string&serviceCreditTypes=serviceAgent&toEffectiveDate=2019-08-24&fromEffectiveDate=2019-08-24&fromDisplayDate=2019-08-24&toDisplayDate=2019-08-24&limit=25&startingAfter=string&endingBefore=string&sortBy=appliedAt' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Collection of Transactions

Bodyapplication/json
countintegerread-only

Number of items returned by the current request.

nextUrlstring or nullread-only

URL of the next set of results.

previousUrlstring or nullread-only

URL of the previous set of results.

statusinteger

HTTP status code.

totalintegerread-only

Total number of items in this result.

dataArray of objects(Transaction)
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ {} ] }